Address book

List saved wallets

List the wallets saved in your organization's address book.

GET
/api/v2/address-book

Incoming and outgoing declarations are separate. Up to 100 entries per page.

Query Parameters

cursor?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://compose.finance/api/v2/address-book"
{
  "items": [
    {
      "id": "string",
      "network": "string",
      "address": "string",
      "updatedAt": "string",
      "label": "string",
      "inbound": {
        "owner": {
          "party": "ORGANIZATION",
          "identity": {
            "kind": "INDIVIDUAL",
            "givenName": "string",
            "otherNames": "string",
            "surname": "string",
            "fullName": "string",
            "dateOfBirth": "string",
            "occupation": "string",
            "address": {
              "street": "string",
              "city": "string",
              "region": "string",
              "postalCode": "string",
              "country": "string"
            },
            "identifications": [
              {
                "type": "string",
                "number": "string",
                "country": "string",
                "region": "string"
              }
            ]
          }
        },
        "custody": {
          "walletType": "SELF_CUSTODY",
          "vaspName": "string",
          "vaspAccountRef": "string"
        }
      },
      "outbound": {
        "owner": {
          "party": "ORGANIZATION",
          "identity": {
            "kind": "INDIVIDUAL",
            "givenName": "string",
            "otherNames": "string",
            "surname": "string",
            "fullName": "string",
            "dateOfBirth": "string",
            "occupation": "string",
            "address": {
              "street": "string",
              "city": "string",
              "region": "string",
              "postalCode": "string",
              "country": "string"
            },
            "identifications": [
              {
                "type": "string",
                "number": "string",
                "country": "string",
                "region": "string"
              }
            ]
          }
        },
        "custody": {
          "walletType": "SELF_CUSTODY",
          "vaspName": "string",
          "vaspAccountRef": "string"
        }
      }
    }
  ],
  "next": "string"
}
{
  "error": "Invalid declaration"
}
{
  "error": "Unauthorized - Invalid or missing API key or session"
}
{
  "error": "Not found in this organization"
}
{
  "error": "Revision conflict: reload before correcting"
}
{
  "error": "Rate limit exceeded. Please try again later."
}

{
  "error": "Internal server error"
}